# Interface ISubscriptionItemRequest

The `ISubscriptionItemRequest` interface describes a subscription to a single item (a result).

## Index

### Properties

- id
- modifiedDateField
- title
- watchedFields

## Properties

### id

id: string

- Defined in rest/Subscription.ts :97

Contains the unique ID of the item to subscribe to.

### Optional modifiedDateField

modifiedDateField: string

- Defined in rest/Subscription.ts :107

Indicates which field contains the modification date of the item to subscribe to.

### title

title: string

- Defined in rest/Subscription.ts :102

Contains the title of the item to subscribe to.

### Optional watchedFields

watchedFields: string[]

- Defined in rest/Subscription.ts :112

Contains a list of fields to monitor for the item to subscribe to.

### Hierarchy

- ISubscriptionItemRequest